Virtualbox and phpVirtualbox on XPEnology


Recommended Posts

ok resolved problem but next is:

 

Hi all
I have a problem....
I installed VirtuaBox on my DSM. I have installed PHP 5.6 with SOAP extension.
But after run and login as admin show me info:

 

Could not connect to host (http://127.0.0.1:18083/) Details

Where is a problem ?

 

Exception Object
(
    [message:protected] => Could not connect to host (http://127.0.0.1:18083/)
    [string:Exception:private] => 
    [code:protected] => 64
    [file:protected] => /volume1/web/phpvirtualbox/endpoints/api.php
    [line:protected] => 134
    [trace:Exception:private] => Array
        (
        )

    [previous:Exception:private] => 
)

 

Link to post
Share on other sites
4 hours ago, pepeEL said:

ok resolved problem but next is:

 

Hi all
I have a problem....
I installed VirtuaBox on my DSM. I have installed PHP 5.6 with SOAP extension.
But after run and login as admin show me info: 

 


Could not connect to host (http://127.0.0.1:18083/) Details

Where is a problem ?

 


Exception Object
(
    [message:protected] => Could not connect to host (http://127.0.0.1:18083/)
    [string:Exception:private] => 
    [code:protected] => 64
    [file:protected] => /volume1/web/phpvirtualbox/endpoints/api.php
    [line:protected] => 134
    [trace:Exception:private] => Array
        (
        )

    [previous:Exception:private] => 
)

 

I've tested the package in a new 6.2 xpenology over ESX without sucess.

The problem is that the internal services are not running, it's seems like the libraries are not compilet to 3.10.105, only for 3.10.102.

That means that we can't use this package if we upgrade from 6.1 to 6.2 until somebody create a new package for it.

 

:(😞

Link to post
Share on other sites

This is the problem

 

imagen.png

imagen.thumb.png.815851b676592d0642aa663c262cd1d6.png

 

It's compilet for kernel 3.10.102 and the 6.2 version use the 3.10.105.

 

I don't know if somebody could recompile the kernel modules that are in the following path of the package.tgz compress file.

\package.tgz\package.tar\kernel_module\23739\bromolow\3.10.105\

 

package.tgz

In the src.zip file there are the source of the modules to use to compile.

 

 

 

src.zip

Edited by jarugut
upload src file
Link to post
Share on other sites
32 minutes ago, Olegin said:

Oops, is not toolchane for 6.2 yet...

That is the problem! I was investigating but only exist for version 6.1 with kernel 3.10.102 not for 3.10.105.

:(

 

Maybe Jun could help to us in that topic.

 

The important think is that the people must to have in mind if they would like to keep the PHPvirtualbox running then, keep in 6.1.7 version, Synology is going to continue giving us support.

 

Link to post
Share on other sites
  • 2 weeks later...
  • 2 weeks later...
  • 4 weeks later...

Hi,

 

I created spk packages for virtualbox 5.2 on DSM 6.2 (currently for bromolow), more info here, since I've split phpvirtualbox and virtualbox you will need also this. Give it a spin if you are brave enough. Standard disclaimer apples.

  • Like 2
  • Thanks 3
Link to post
Share on other sites
On 10/2/2018 at 1:31 PM, seba said:

Hi,

 

I created spk packages for virtualbox 5.2 on DSM 6.2 (currently for bromolow), more info here, since I've split phpvirtualbox and virtualbox you will need also this. Give it a spin if you are brave enough. Standard disclaimer apples.

 

Thank you a lot Seba,  it's working fine the both package!

imagen.thumb.png.7fac6fadecbaf480116453988810dfb5.png

 

Edited by jarugut
Link to post
Share on other sites

The vitualbox spk is in the following link

https://github.com/seba76/virtualbox4dsm/releases

 

and the phpvirtualbox to manage the native virtualbox service is in the following link

https://github.com/seba76/phpvirtualbox4dsm/releases

 

when you install the both package you must to define the same password to be able to comunicate the phpvirtualbox with the virtualbox itseft.

 

 

  • Like 1
Link to post
Share on other sites
1 hour ago, Hostilian said:

No joy for me, unfortunately..

Packages both install (and I set same password) but the virtualbox won't run, when I click 'run'..

It says 'loading' for a second or two, then nothing..

There is a log file in /volume1/virtualbox/scripts.log you can check what went wrong there. You can ignore messages like

 /lib/libstdc++.so.6: no version information available 

I've uploaded package for x86_64 on github but only for 3.10.105 kernel, it is untested.

Edited by seba
Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.